Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Highlighted
New Developer
Posts: 4
Registered: ‎11-05-2009
My Device: Not Specified
Accepted Solution

WebWorks SDK Requires Java SDK... But I have Java SDK installed

I get an error message when installing the WebWorks SDK that the Java SDK is missing... But I installed it flawlessly, restarted my computer, checked the command line, everything should check out. 

 

See attached screenshot. 

 

Any ideas?

New Developer
Posts: 4
Registered: ‎11-05-2009
My Device: Not Specified

Re: WebWorks SDK Requires Java SDK... But I have Java SDK installed

Bumping this... I gave up because of this error but I'd love to develop - returned to it tonight, re-installed everything, still the same issue. Anyone? 

Developer
Posts: 125
Registered: ‎01-17-2011
My Device: Playbook
My Carrier: Vodacom

Re: WebWorks SDK Requires Java SDK... But I have Java SDK installed

1st thing that comes to mind:

 

Are you using 64-bit Windows ?

Then it might help to install the 32-bit version of Java, not the 64-bit ..

I recall there was a problem finding the Java Package installed, which had sufficient version but could not be found.

 

Other things to check:

JAVA Home directory ?

Check if correct Java install is in your path.

Developer
Posts: 34
Registered: ‎07-14-2011
My Device: BlackBerry Curve 9300
My Carrier: Orange

Re: WebWorks SDK Requires Java SDK... But I have Java SDK installed

You can look in this file:

 

C:\Program Files\Research In Motion\BlackBerry WebWorks Packager\bin\bbwp.properties (If you have the WebWorks SDK installed on C:\Program Files\Research In Motion. If not you must change that path for you webworks folder installation)

 

In that file there is a reference to the path of you Java JDK. Maybe is pointing to the wrong location, you can change it.

 

Good Luck and I hope this could help you

 

 

New Developer
Posts: 4
Registered: ‎11-05-2009
My Device: Not Specified

Re: WebWorks SDK Requires Java SDK... But I have Java SDK installed

Thanks guys! I ended up re-installing Java again, and upgrading to 1.7. Restarted, and then WebWorks installed just fine. Double checked the bbwp.properties to make sure, and I'm all good.

 

Thanks again for the help!